
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>大数据系列之并行计算引擎Spark介绍 / iVAN</title>

    <meta name="description" content="大数据系列之并行计算引擎Spark介绍   Spark: Apache Spark 是专为大规模数据处理而设计的快速通用的计算引擎. Spark是UC Berkeley AMP lab (加州大学伯克利分校的AMP实验室)所开源的类Hadoop MapReduce的通用并行框架,Spark拥有Hadoop MapReduce所具有的优点:但不同于MapReduce的是Job中间输出结果可以保存在内存中,从而不再需要读写HDFS,因此Spark能更好地适用于数据挖掘与机器学习等需要迭代的MapReduce的算法. Spark 是一种与">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">大数据系列之并行计算引擎Spark介绍</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> <a href="http://s2.51cto.com/wyfs02/M00/92/39/wKiom1j9eYPyjpzuAADc8o6x_B8614.jpg-wh_651x-s_1459276767.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTIvMzkvd0tpb20xajllWVB5anB6dUFBRGM4bzZ4X0I4NjE0LmpwZy13aF82NTF4LXNfMTQ1OTI3Njc2Ny5qcGc=.jpg"></a></p>
<p><strong>Spark：</strong></p>
<p>Apache Spark 是专为大规模数据处理而设计的快速通用的计算引擎。</p>
<p>Spark是UC Berkeley AMP lab (加州大学伯克利分校的AMP实验室)所开源的类Hadoop MapReduce的通用并行框架，Spark拥有Hadoop MapReduce所具有的优点；但不同于MapReduce的是Job中间输出结果可以保存在内存中，从而不再需要读写HDFS，因此Spark能更好地适用于数据挖掘与机器学习等需要迭代的MapReduce的算法。</p>
<p>Spark 是一种与 Hadoop 相似的开源集群计算环境，但是两者之间还存在一些不同之处，这些有用的不同之处使 Spark 在某些工作负载方面表现得更加优越，换句话说，Spark 启用了内存分布数据集，除了能够提供交互式查询外，它还可以优化迭代工作负载。</p>
<p>Spark 是在 Scala 语言中实现的，它将 Scala 用作其应用程序框架。与 Hadoop 不同，Spark 和 Scala 能够紧密集成，其中的 Scala 可以像操作本地集合对象一样轻松地操作分布式数据集。</p>
<p>尽管创建 Spark 是为了支持分布式数据集上的迭代作业，但是实际上它是对 Hadoop 的补充，可以在 Hadoop 文件系统中并行运行。通过名为 Mesos 的第三方集群框架可以支持此行为。Spark 由加州大学伯克利分校 AMP 实验室 (Algorithms, Machines, and People Lab) 开发，可用来构建大型的、低延迟的数据分析应用程序。</p>
<p><strong>Spark的性能特点：</strong></p>
<p>1.更快的速度：内存计算下，Spark 比 Hadoop 快100倍。</p>
<ul>
<li>内存计算引擎，提供Cache机制来支持需要反复迭代计算或者多次数据共享，减少数据读取的I/O开销</li>
<li>DAG引擎，减少多次计算之间中间结果写到HDFS的开销;</li>
<li>使用多线程池模型来减少task启动开销，shuffle过程中避免不必要的sort操作已经减少磁盘I/O操作;</li>
</ul>
<p>2.易用性：</p>
<ul>
<li>Spark 提供了80多个高级运算符。</li>
<li>提供了丰富的API，支持JAVA,Scala,Python和R四种语言;</li>
<li>代码量比MapReduce少2~5倍;</li>
</ul>
<p>3.通用性：Spark 提供了大量的库，包括SQL、DataFrames、MLlib、GraphX、Spark Streaming。 开发者可以在同一个应用程序中无缝组合使用这些库。</p>
<p>4.支持多种资源管理器：Spark 支持 Hadoop YARN，Apache Mesos，及其自带的独立集群管理器</p>
<p><strong>Spark基本原理：</strong></p>
<p>Spark Streaming：构建在Spark上处理Stream数据的框架，基本的原理是将Stream数据分成小的时间片断(几秒)，以类似batch批量处理的方式来处理这小部分数据。Spark Streaming构建在Spark上，一方面是因为Spark的低延迟执行引擎(100ms+)，虽然比不上专门的流式数据处理软件，也可以用于实时计算，另一方面相比基于Record的其它处理框架(如Storm)，一部分窄依赖的RDD数据集可以从源数据重新计算达到容错处理目的。此外小批量处理的方式使得它可以同时兼容批量和实时数据处理的逻辑和算法。方便了一些需要历史数据和实时数据联合分析的特定应用场合。</p>
<p><strong>Spark背景：</strong></p>
<p>1.MapReduce局限性:</p>
<p><a href="http://s1.51cto.com/wyfs02/M00/92/32/wKioL1j9XGCiqn7iAACb4X2VVbQ448.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTIvMzIvd0tpb0wxajlYR0NpcW43aUFBQ2I0WDJWVmJRNDQ4LmpwZw==.jpg"></a></p>
<p>1.仅支持Map和Reduce两种操作;</p>
<p>2.处理效率低效;不适合迭代计算(如机器学习、图计算等)，交互式处理(数据挖掘)和流失处理(日志分析)</p>
<p>3.Map中间结果需要写磁盘，Reduce写HDFS，多个MR之间通过HDFS交换数据;</p>
<p>4.任务调度和启动开销大;</p>
<p>5.无法充分利用内存;(与MR产生时代有关，MR出现时内存价格比较高，采用磁盘存储代价小)</p>
<p>6.Map端和Reduce端均需要排序;</p>
<p>7.MapReduce编程不够灵活。(比较Scala函数式编程而言)</p>
<p>8.框架多样化[采用一种框架技术(Spark)同时实现批处理、流式计算、交互式计算]：</p>
<ul>
<li>批处理：MapReduce、Hive、Pig;</li>
<li>流式计算:Storm</li>
<li>交互式计算:Impala</li>
</ul>
<p><strong>Spark核心概念：</strong></p>
<ul>
<li>RDD：Resilient Distributed Datasets,弹性分布式数据集</li>
</ul>
<p><a href="http://s4.51cto.com/wyfs02/M01/92/33/wKiom1j9XHmgwgttAACMi79ZGU0814.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTIvMzMvd0tpb20xajlYSG1nd2d0dEFBQ01pNzlaR1UwODE0LmpwZw==.jpg"></a></p>
<ul>
<li>分布在集群中的只读对象集合(由多个Partition　构成);</li>
<li>可以存储在磁盘或内存中(多种存储级别);</li>
<li>通过并行“转换”操作构造;</li>
<li>失效后自动重构;</li>
<li>RDD基本操作(operator)</li>
</ul>
<p><a href="http://s3.51cto.com/wyfs02/M00/92/33/wKiom1j9XKPh14N5AAB8ACQR8pc259.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTIvMzMvd0tpb20xajlYS1BoMTRONUFBQjhBQ1FSOHBjMjU5LmpwZw==.jpg"></a></p>
<p><strong>Transformation具体内容</strong></p>
<ul>
<li>map(func) :返回一个新的分布式数据集，由每个原元素经过func函数转换后组成</li>
<li>filter(func) : 返回一个新的数据集，由经过func函数后返回值为true的原元素组成</li>
</ul>
<p>*flatMap(func) : 类似于map，但是每一个输入元素，会被映射为0到多个输出元素(因此，func函数的返回值是一个Seq，而不是单一元素)</p>
<ul>
<li>flatMap(func) : 类似于map，但是每一个输入元素，会被映射为0到多个输出元素(因此，func函数的返回值是一个Seq，而不是单一元素)</li>
<li>sample(withReplacement, frac, seed) :</li>
</ul>
<p>根据给定的随机种子seed，随机抽样出数量为frac的数据。</p>
<ul>
<li>union(otherDataset) : 返回一个新的数据集，由原数据集和参数联合而成</li>
<li>groupByKey([numTasks]) :</li>
</ul>
<p>在一个由(K,V)对组成的数据集上调用，返回一个(K，Seq[V])对的数据集。注意：默认情况下，使用8个并行任务进行分组，你可以传入numTask可选参数，根据数据量设置不同数目的Task</p>
<ul>
<li>reduceByKey(func, [numTasks]) : 在一个(K，V)对的数据集上使用，返回一个(K，V)对的数据集，key相同的值，都被使用指定的reduce函数聚合到一起。和groupbykey类似，任务的个数是可以通过第二个可选参数来配置的。</li>
<li>join(otherDataset, [numTasks]) :</li>
</ul>
<p>在类型为(K,V)和(K,W)类型的数据集上调用，返回一个(K,(V,W))对，每个key中的所有元素都在一起的数据集</p>
<ul>
<li>groupWith(otherDataset, [numTasks]) : 在类型为(K,V)和(K,W)类型的数据集上调用，返回一个数据集，组成元素为(K, Seq[V], Seq[W]) Tuples。这个操作在其它框架，称为CoGroup</li>
</ul>
<p>cartesian(otherDataset) : 笛卡尔积。但在数据集T和U上调用时，返回一个(T，U)对的数据集，所有元素交互进行笛卡尔积。</p>
<ul>
<li>flatMap(func) :</li>
</ul>
<p>类似于map，但是每一个输入元素，会被映射为0到多个输出元素(因此，func函数的返回值是一个Seq，而不是单一元素)</p>
<p><strong>Actions具体内容</strong></p>
<ul>
<li>reduce(func) : 通过函数func聚集数据集中的所有元素。Func函数接受2个参数，返回一个值。这个函数必须是关联性的，确保可以被正确的并发执行</li>
<li>collect() : 在Driver的程序中，以数组的形式，返回数据集的所有元素。这通常会在使用filter或者其它操作后，返回一个足够小的数据子集再使用，直接将整个RDD集Collect返回，很可能会让Driver程序OOM</li>
<li>count() : 返回数据集的元素个数</li>
<li>take(n) : 返回一个数组，由数据集的前n个元素组成。注意，这个操作目前并非在多个节点上，并行执行，而是Driver程序所在机器，单机计算所有的元素(Gateway的内存压力会增大，需要谨慎使用)</li>
<li>first() : 返回数据集的第一个元素(类似于take(1))</li>
</ul>
<p>saveAsTextFile(path) : 将数据集的元素，以textfile的形式，保存到本地文件系统，hdfs或者任何其它hadoop支持的文件系统。Spark将会调用每个元素的toString方法，并将它转换为文件中的一行文本</p>
<ul>
<li>saveAsSequenceFile(path) : 将数据集的元素，以sequencefile的格式，保存到指定的目录下，本地系统，hdfs或者任何其它hadoop支持的文件系统。RDD的元素必须由key-value对组成，并都实现了Hadoop的Writable接口，或隐式可以转换为Writable(Spark包括了基本类型的转换，例如Int，Double，String等等)</li>
<li>foreach(func) : 在数据集的每一个元素上，运行函数func。这通常用于更新一个累加器变量，或者和外部存储系统做交互</li>
</ul>
<p><strong>算子分类</strong></p>
<p>大致可以分为三大类算子：</p>
<ul>
<li>Value数据类型的Transformation算子，这种变换并不触发提交作业，针对处理的数据项是Value型的数据。</li>
<li>Key-Value数据类型的Transfromation算子，这种变换并不触发提交作业，针对处理的数据项是Key-Value型的数据对。</li>
<li>Action算子，这类算子会触发SparkContext提交Job作业。</li>
</ul>
<p><a href="http://s3.51cto.com/wyfs02/M01/92/32/wKioL1j9XL6zhw8NAACBVW1OQv8780.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTIvMzIvd0tpb0wxajlYTDZ6aHc4TkFBQ0JWVzFPUXY4NzgwLmpwZw==.jpg"></a></p>
<ul>
<li>Spark RDD cache/persist</li>
</ul>
<p><strong>Spark RDD cache</strong></p>
<p>1.允许将RDD缓存到内存中或磁盘上，以便于重用</p>
<p>2.提供了多种缓存级别，以便于用户根据实际需求进行调整</p>
<p><a href="http://s2.51cto.com/wyfs02/M00/92/33/wKiom1j9XN7xjDMSAAEdrD-aYdY013.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTIvMzMvd0tpb20xajlYTjd4akRNU0FBRWRyRC1hWWRZMDEzLmpwZw==.jpg"></a></p>
<p>3.cache使用</p>
<p><a href="http://s3.51cto.com/wyfs02/M01/92/32/wKioL1j9XOnCgzGsAABfeGSMczk418.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTIvMzIvd0tpb0wxajlYT25DZ3pHc0FBQmZlR1NNY3prNDE4LmpwZw==.jpg"></a></p>
<ul>
<li>之前用MapReduce实现过WordCount，现在我们用Scala实现下wordCount.是不是很简洁呢?!</li>
</ul>
<pre>
</pre>
<ol>
<li>import org.apache.spark.{SparkConf, SparkContext} </li>
<li> </li>
<li>object SparkWordCount{ </li>
<li> def main(args: Array[String]) { </li>
<li> if (args.length == 0) { </li>
<li> System.err.println("Usage: SparkWordCount &lt;inputfile&gt; &lt;outputfile&gt;") </li>
<li> System.exit(1) </li>
<li> } </li>
<li> </li>
<li> val conf = new SparkConf().setAppName("SparkWordCount") </li>
<li> val sc = new SparkContext(conf) </li>
<li> </li>
<li> val file=sc.textFile("file:///hadoopLearning/spark-1.5.1-bin-hadoop2.4/README.md") </li>
<li> val counts=file.flatMap(line=&gt;line.split(" ")) </li>
<li> .map(word=&gt;(word,1)) </li>
<li> .reduceByKey(_+_) </li>
<li> counts.saveAsTextFile("file:///hadoopLearning/spark-1.5.1-bin-hadoop2.4/countReslut.txt") </li>
<li> </li>
<li> } </li>
<li>} </li>
</ol>
<ul>
<li>关于RDD的Transformation与Action的特点我们介绍下;</li>
</ul>
<p>1.接口定义方式不同：</p>
<p>Transformation: RDD[X]–&gt;RDD[y]</p>
<p>Action:RDD[x]–&gt;Z (Z不是一个RDD，可能是一个基本类型，数组等)</p>
<p>2.惰性执行：</p>
<p>Transformation：只会记录RDD转化关系，并不会触发计算</p>
<p>Action:是触发程序执行(分布式)的算子。</p>
<p><a href="http://s5.51cto.com/wyfs02/M00/92/33/wKiom1j9XcnDe4oCAADEz4_GQCM021.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTIvMzMvd0tpb20xajlYY25EZTRvQ0FBREV6NF9HUUNNMDIxLmpwZw==.jpg"></a></p>
<p>程序的执行流程：</p>
<p><a href="http://s2.51cto.com/wyfs02/M00/92/33/wKioL1j9Xg6zR3_QAADqVdLhkIU112.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTIvMzMvd0tpb0wxajlYZzZ6UjNfUUFBRHFWZExoa0lVMTEyLmpwZw==.jpg"></a></p>
<p>Spark运行模式：</p>
<p>Local(本地模式)：</p>
<p>1.单机运行，通常用于测试;</p>
<ul>
<li>local:只启动一个executor</li>
<li>local[k]:启动k个executor</li>
<li>local[*]:启动跟cpu数目相同的executor</li>
</ul>
<p>2.standalone(独立模式)</p>
<p>独立运行在一个集群中</p>
<p><a href="http://s2.51cto.com/wyfs02/M01/92/33/wKioL1j9Xi7z-AYYAADQ4azQhrA007.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTIvMzMvd0tpb0wxajlYaTd6LUFZWUFBRFE0YXpRaHJBMDA3LmpwZw==.jpg"></a></p>
<p>3.Yarn/mesos</p>
<p>1.运行在资源管理系统上，比如Yarn或mesos</p>
<p>2.Spark On Yarn存在两种模式</p>
<p>yarn-client</p>
<p><a href="http://s2.51cto.com/wyfs02/M02/92/33/wKioL1j9XoGTWNvIAADgFwlMkjw673.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvOTIvMzMvd0tpb0wxajlYb0dUV052SUFBRGdGd2xNa2p3NjczLmpwZw==.jpg"></a></p>
<p>yanr-cluster</p>
<p><a href="http://s3.51cto.com/wyfs02/M00/92/34/wKiom1j9XnKivjTPAADeekXheQo149.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTIvMzQvd0tpb20xajlYbktpdmpUUEFBRGVla1hoZVFvMTQ5LmpwZw==.jpg"></a></p>
<p>两种方式的区别：</p>
<p><a href="http://s3.51cto.com/wyfs02/M00/92/33/wKioL1j9XmOg6cx_AADYiHKHjoI912.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTIvMzMvd0tpb0wxajlYbU9nNmN4X0FBRFlpSEtIam9JOTEyLmpwZw==.jpg"></a></p>
<p><strong>Spark在企业中的应用场景</strong></p>
<ul>
<li>基于日志数据的快速查询系统业务;</li>
</ul>
<p>构建于Spark之上的SparkSQL ,利用其快速以及内存表等优势，承担了日志数据的即席查询工作。</p>
<ul>
<li>典型算法的Spark实现</li>
</ul>
<p>预测用户的广告点击概率;</p>
<p>计算两个好友间的共同好友数;</p>
<p>用于ETL的SparkSQL和DAG任务。</p>
<p>本文作者：佚名</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 05:05:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f/" title="分布式">分布式</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4/" title="集群">集群</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%95%b0%e6%8d%ae/" title="大数据">大数据</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/hadoop/" title="hadoop">hadoop</a>, <a href="https://www.iamivan.net/tag/spark/" title="spark">spark</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%a4%84%e7%90%86/" title="数据处理">数据处理</a>, <a href="https://www.iamivan.net/tag/%e5%b9%b6%e8%a1%8c%e8%ae%a1%e7%ae%97/" title="并行计算">并行计算</a>, <a href="https://www.iamivan.net/tag/mapreduce/" title="Mapreduce">Mapreduce</a>, <a href="https://www.iamivan.net/tag/scala/" title="scala">scala</a>, <a href="https://www.iamivan.net/tag/%e6%b5%81%e5%bc%8f%e8%ae%a1%e7%ae%97/" title="流式计算">流式计算</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>大数据系列之并行计算引擎Spark介绍的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9xVQ3b.html" rel="bookmark">AdTime：大数据 发挥信息消费引擎作用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章讲的是AdTime:大数据 发挥信息消费引擎作用,当前,拉动我国经济增长的传统&quot;三驾马车&quot;(投资.出口.消费),出现出口下滑,投资谨慎的情况,而消费的巨大空间便受到了前所未有的期待.在消费领域中,信息消费的强劲表现更为抢眼.今年1月~5月,我国信息消费的规模达到1.38万亿元,同比增长了19.8%,信息消费正在成为市场新的亮点和热点. 7月12日,国务院常务会议提出要促进信息消费.信息消费之所以如此受重视,工信部电信研究院曾表示,信息消费不但&quot;稳增长&quot;的潜力巨大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG3Rwkz.html" rel="bookmark">为什么在大数据处理中Cassandra与Spark如此受欢迎？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为什么在大数据处理中Cassandra与Spark如此受欢迎? 说起Cassandra的用途时,我们可以将其理解为一套理想的客户系统实现方案--其能够保证各类应用始终可用,包括产品目录.物联网.医疗系统以及移动应用.Cassandra于2010年成为Apache软件基金会的顶级项目,而且至今仍拥有极高人气.Cassandra专业知识能够帮助我们在人才市场上获得赏识.我们不禁要问--为什么这一开源项目能够大受欢迎? 随着现代云应用对正常运行时间及性能水平的要求逐步提高,已经有越来越多用户开始将注意			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baErXnb.html" rel="bookmark">大数据系列之大数据分析对IT资源的需求</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章讲的是大数据系列之大数据分析对IT资源的需求, 为了准确描述中国大数据市场和技术发展趋势,解析大数据发展的各阶段对IT技术的需求,2013年6月,中桥调研咨询(以下简称中桥)对中国480家最终用户的IT管理者和专业人员,就大数据市场和技术发展趋势展开了调查.中桥首席分析师王丛结合其在欧美数据中心领域十几年的市场调研积累,对中国大数据市场趋势的调查数据进行解析,以诠释中国大数据市场和技术趋势.同时,会通过在线讲座(www.webinars-china.com )和中国读者解读中国大数据市场趋势			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxj97yz.html" rel="bookmark">大数据系列之大数据分析如何权衡存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章讲的是大数据系列之大数据分析如何权衡存储, 系列1:未来24个月市场趋势和IT投入重点 系列2:大数据分析对IT资源的需求 在之前的系列1和2中,我们已就大数据分析的发展趋势以及对IT资源的需求进行了解析.接下来,针对大数据分析的重要一环-存储,中桥将结合市场热门的存储技术如闪存.固态盘等,来从存储性能.数据保护等角度进行分析. 通过前文的相关数据分析,我们已经了解到,随着大数据时代应用数量.应用数据量和使用者数量的增长,系统对存储IOPS以及OLTP和OLAP的要求越来越高.传统存储也越来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVaZABp.html" rel="bookmark">《Spark与Hadoop大数据分析》一一1&period;2　大数据科学以及Hadoop和Spark在其中承担的角色</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 大数据科学以及Hadoop和Spark在其中承担的角色 数据科学的工作体现在以下这两个方面:从数据中提取其深层次的规律性创建数据产品要从数据中提取其深层次的规律性,意味着要使用统计算法提炼出有价值的信息.数据产品则是一种软件系统,其核心功能取决于对数据的统计分析和机器学习的应用.Google AdWords或Facebook里的&quot;你可能认识的人&quot;就是数据产品的两个例子.1.2.1 从数据分析到数据科学的根本性转变 从数据分析到数据科学的根本转变的根源,是对更准确的预测和创建更好			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ94J0b.html" rel="bookmark">《Spark与Hadoop大数据分析》&mdash;&mdash;1&period;2 大数据科学以及Hadoop和Spark在其中承担的角色</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 大数据科学以及Hadoop和Spark在其中承担的角色 数据科学的工作体现在以下这两个方面: 要从数据中提取其深层次的规律性,意味着要使用统计算法提炼出有价值的信息.数据产品则是一种软件系统,其核心功能取决于对数据的统计分析和机器学习的应用.Google AdWords或Facebook里的&quot;你可能认识的人&quot;就是数据产品的两个例子. 1.2.1 从数据分析到数据科学的根本性转变 从数据分析到数据科学的根本转变的根源,是对更准确的预测和创建更好的数据产品需求的不断增长. 让我们来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3yKyAp.html" rel="bookmark">腾讯大数据之TDW计算引擎解析&mdash;&mdash;Shuffle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				腾讯分布式数据仓库(Tencent distributed Data Warehouse, 简称TDW)基于开源软件Hadoop和Hive进行构建,并且根据公司数据量大.计算复杂等特定情况进行了大量优化和改造,目前单集群最大规模达到5600台,每日作业数达到100多万,已经成为公司最大的离线数据处理平台.为了满足用户更加多样的计算需求,TDW也在向实时化方向发展,为用户提供更加高效.稳定.丰富的服务. TDW计算引擎包括两部分:一个是偏离线的MapReduce,一个是偏实时的Spark,两者内部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDeJLBb.html" rel="bookmark">大数据阿里云产品的简单介绍理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   很多人问,大数据是什么.一个时尚的技术名词,一个互联网时代的标志.给人高端大气上档次的感觉,很多公司不说自己有大数据都不好意思跟别人谈业务.那我就谈谈我的一些看法来结合阿里云的数加大数据产品比较粗俗的介绍下大数据到底是什么.    首先,从字面意思&quot;大数据&quot;,那可以感受到,数据量要大,这是一个必须的条件.举一个例子,比方说我要根据一些销售数据做一个报表给老板看,那么几千条数据甚至几万条,我用excel可以很方便的做出来,数据可以保存在自己电脑上.那么,当数据几十万到几百万,exc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDnwevM.html" rel="bookmark">专访携程李亚锋：大数据技术融合下的Spark更具魅力</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/zDnwevM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4VUF6Y3VlS0hVMmhURjRva0tHcjdOdzM4aWJIWWNESnhiaWN4Vnptb2prZW0xMFgwTW9UQzFkSWxMaWNWS040V21pY1RpYlFiZDVWazRpY3hydy8w.jpg">
							</a>
						<div class="summary">
				大数据&quot;作为当下最火热的IT行业词汇,在主流的数据处理工具当中Hadoop和Spark都被大家所熟悉.不过,目前基于内存计算的Spark适合各种迭代算法和交互式数据分析,能够提升大数据处理的实时性和准确性,已经逐渐获得很多企业的支持.这是否意味着我们应该彻底抛弃Hadoop?在前不久的北京Spark亚太峰会上 ,记者有机会专访到携程大数据平台高级经理李亚锋,为大家分享如何通过Spark与Hadoop大数据技术间的融合,实现优势互补,引导企业发现用户的潜在需求. 李亚锋,携程大数据平台高级经理,负			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0mWJp.html" rel="bookmark" class="title">交互设计案例：设计要达到简洁清晰自然易懂</a>
					<div>
						文章描述:交互设计实用指南系列(4)-简洁清晰,自然易懂. 我们生活在信息繁杂的社会,尤其是在互联网时代,人们开始通过网络开始接触越来越多的信息,那么,如何获取/传递有效而准确的信息将非常重要.在网页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6y2gb.html" rel="bookmark" class="title">PS中鲜为人知的使用技巧（二）</a>
					<div>
						技巧  1.要防止使用裁切工具[C]( Crop Tool )时选框吸附在图片边框上,在拖动裁切工具选框上的控制点的时候按住Ctrl键即可. 2.要修正倾斜的图像,先用测量工具[U]在图上可以作为水平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGP0nb.html" rel="bookmark" class="title">安装resin&plus;mysql&plus;IIS&plus;JDK的总结</a>
					<div>
						工作总结: 安装resin+mysql+IIS+JDK的总结 一.首先安装JDK: 一).下载j2re-1_4_1_02-windows-i586-i.exe,然后直接安装. 二).安装完配置环境变量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8OyBM.html" rel="bookmark" class="title">PHP&OpenCurlyDoubleQuote;字符串&rdquo;的小常识</a>
					<div>
						字符串 注意单引号和双引号的区别 注意转义字符\的使用\\\&quot;\$ 注意使用8进制或16进制字符表示 \xf6 字符串 注意单引号和双引号的区别 注意转义字符\的使用\\\&quot;\$  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOLY9b.html" rel="bookmark" class="title">金山表格快速插入分页小计</a>
					<div>
						由于工作关系经常使用金山表格2003制作工资单和工程预算,在这些表格中为了便于查看需要在每页最后一行显示分页小计.手动逐条插入分页小计显然太过麻烦了,而且也不便于修改,于是就找了一个简单的方法来快速插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze8Y8p.html" rel="bookmark" class="title">配置media server存储</a>
					<div>
						1 安装 NetBackup media介质软件 介质服务器作为磁盘的管理接口,在连接磁盘的服务器上进行部署安装,然后通过master server进行统一管理. 1.1 如何配置 NetBackup ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOD44b.html" rel="bookmark" class="title">WINDOWS NT&sol;2000下如何屏蔽CTRL&plus;ALT&plus;DEL</a>
					<div>
						本文配套源码 前言 在WINDOWS 9X环境中我们可以使用SystemParametersInfo (SPI_SCREENSAVERRUNNING, 1,NULL, 0);来屏蔽CTRL+ALT+D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKnn3M.html" rel="bookmark" class="title">让Windows 7更节能省电的方法</a>
					<div>
						现在的高清视频容量越来越大,动辄几个GB,多则一部高清&lt;阿凡达&gt;就要46GB,还别说日益火热的高清连续剧.即使你家用的是2Mbps宽带网络,要下载这些&quot;大家伙&quot;,也要花 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2yYBp.html" rel="bookmark" class="title">Photoshop合成唯美的美人鱼海报效果</a>
					<div>
						  最终效果 珊瑚素材 美人鱼素材 海洋素材 光线素材 蚌壳素材 下面是教程 图像大小,图像模式是RGB哦 拖入两张海底图,用蒙版擦个渐隐 新建的亮度/对比度图层和曲线图层 贝壳素材抠出来底层上上阴影 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7Na6M.html" rel="bookmark" class="title">Powerpoint播放时能偷看备注</a>
					<div>
						在使用PPT讲座时苦于有时会忘记一些要讲的数字,放在备注里在一般放映时自己看不到.总看别人设置用笔记本和投影实现笔记本上的显示和投影上的显示不同,重点是可以在笔记本上显示备注,以免忘了什么东西.知道大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yKLQz.html" rel="bookmark" class="title">如何突出显示Excel2010单元格数据？</a>
					<div>
						  1.打开Excel表格,选中需要突出显示的单元格数据,接着点击工具栏的&quot;样式&quot;→&quot;条件样式&quot;→&quot;突出显示单元格规则&quot;我们就可以根据自己的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdJGkM.html" rel="bookmark" class="title">陌陌头像尺寸是多少&quest;</a>
					<div>
						  其实这个问小编也遇到过,其实这个和图片的大小无关,就是说和你实用的图片或者照片多少K,多少内存是没关系的.陌陌系统选择头像的标准是图片的尺寸,所以如果你有喜欢的照片或者图片,你把它放在PS或者一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z429aPM.html" rel="bookmark" class="title">C&sol;C&plus;&plus; 头文件作用</a>
					<div>
						最近在工作当中遇到了一点小问题,关于C语言头文件的应用问题,主要还是关于全局变量的定义和声明问题.学习C语言已经有好几年了,工作使用也近半年了,但是对于这部分的东西的确还没有深入的思考过.概念上还是比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAK0EM.html" rel="bookmark" class="title">模糊查询 含通配符-ORACLE&colon; 含通配符的模糊查询</a>
					<div>
						问题描述 ORACLE: 含通配符的模糊查询 SELECT count(*) FROM MSG_SENDWHERE STATUS = '1' AND SEND_ID = '21000000000484 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQn4np.html" rel="bookmark" class="title">Android学习笔记&lpar;31&rpar;&colon;滚动视图ScrollView</a>
					<div>
						ScrollView是由FrameLayout派生的,可以为普通组件添加竖直滚动条. 类似的,HorizontalScrollView可以提供水平方向的滚动条.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBO9mb.html" rel="bookmark" class="title">mysql 提权问题做到这创建函数出现错误</a>
					<div>
						问题描述 mysql 提权问题做到这创建函数出现错误 mysql版本5.0.22 按照网上的教程进行提权操作但做到 create function sys_eval returns string so ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydXmZb.html" rel="bookmark" class="title">手把手教你做数据分析</a>
					<div>
						在互联网的下半场,不断精细化运营的背景下,产品经理不再是单纯的靠感觉来做产品,更需要培养数据的意识,能以数据为依归,来不断改善产品. 不同于公司专业的数据分析师,产品经理更多的可以从用户.业务的层面去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA8vVp.html" rel="bookmark" class="title">webservice里面操作json可以不？</a>
					<div>
						问题描述 我在webserice里面要调用另一网站的请求网站返回的是一个json的数据我在webservice里面咋处理?求高手指点也就是你指的是WS里解析json? 解决方案 解决方案二:在.NET ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX5RVb.html" rel="bookmark" class="title">阿里更新IPO文件：B2B业务走出泥潭</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 阿里巴巴北京时间 6 月 17 日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx05YPM.html" rel="bookmark" class="title">高手请赐教ServletException</a>
					<div>
						问题描述 出错信息如下,请高手指点一下,会是哪方面的问题javax.servlet.ServletExceptionatweblogic.servlet.internal.ServletStubImp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjA7OM.html" rel="bookmark" class="title">移动互联网壹周刊：三星苹果那点事儿</a>
					<div>
						从高举禁售令到陷入被动僵局 三星公司与苹果公司无疑是目前全球智能移动设备领域最为风光.最受关注的两间公司,前者如今堪称是Android系统智能移动设备中坚力量,后者更是在智能移动设备领域主导着全球消费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYYPrb.html" rel="bookmark" class="title">jQuery实用基础超详细介绍&lowbar;jquery</a>
					<div>
						一.jQuery 简介 jQuery 是继 Prototype 之后又一个优秀的 JavaScript 库jQuery 理念: 写得少, 做得多. 优势如下:轻量级强大的选择器出色的 DOM 操作的封 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5E1Az.html" rel="bookmark" class="title">解决火狐浏览器下JS setTimeout函数不兼容失效不执行的方法&lowbar;javascript技巧</a>
					<div>
						今天检查自己用JQuery+AJAX+PHP做的网站后台登录检测,发现登陆成功后执行页面跳转函数这段JavaScript(JS)代码特效在IE和谷歌浏览器Chrome下都可以很好地执行,兼容性还不错. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1QD0b.html" rel="bookmark" class="title">不用一句js代码初始化组件&lowbar;javascript技巧</a>
					<div>
						最近使用bootstrap组件的时候发现一个易用性问题,很多简单的组件初始化都需要在JS里面写很多的初始化代码,比如一个简单的select标签,因为仅仅只是需要从后台获取数据填充到option里面,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr29ZxM.html" rel="bookmark" class="title">如何做一个客户端小程序&comma;检测网站是否有更新&quest;</a>
					<div>
						问题描述 小弟遇到一个问题:如何做一个客户端小程序,检测网站是否有更新?哪位大虾帮忙啊 解决方案 解决方案二:定期用HTTP协议去取网站信息解决方案三:这个简单啊,网上搜一下就得到答案了.解决方案四: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DDP9b.html" rel="bookmark" class="title">动态设置JSP文件名</a>
					<div>
						问题描述 做JSP项目,突然有个想法,想写些代码随机产生一个文件名,用作一个JSP页面的名字.随便产生这个不是很复杂,关键是不知道能不能在代码上面改Jsp页面的名字,大家帮下. 解决方案 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW4X0M.html" rel="bookmark" class="title">飞虹路上的早教中心倒闭</a>
					<div>
						飞虹路上的早教中心倒闭,门口贴着告示.昨天,有微博网友表示,在虹口飞虹路上的宝贝计划早教中心忽然空了,仅仅在门上贴出告示表示会在今日上午在中心接待家长商量善后的事宜.这让很多上午送孩子去中心的家长想不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRwGDz.html" rel="bookmark" class="title">《位置大数据隐私管理》&mdash;&mdash; 2&period;4 位置依赖攻击</a>
					<div>
						2.4 位置依赖攻击 2.1节至2.3节中介绍的攻击模型仅关注快照(snapshot)位置,若用户位置发生连续更新将产生新的攻击模型,典型的攻击模型有位置依赖攻击和连续查询攻击.本节先介绍位置依赖攻击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Oqvnb.html" rel="bookmark" class="title">2020年我国西部地区铁路网规模将扩大到5万公里</a>
					<div>
						新华网北京11月23日电(记者齐中熙)铁道部发展计划司副司长严贺祥23日表示,到2020年,我国铁路网规模将达到12万公里以上,西部地区铁路网规模将扩大到5万公里以上,基本形成路网骨架. 严贺祥在23 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3E7mmp.html" rel="bookmark" class="title">Hadoop无法解决的问题</a>
					<div>
						因为项目的需要,学习使用了Hadoop,和所有过热的技术一样,&quot;大数据&quot;.&quot;海量&quot;这类词语在互联网上满天乱飞.Hadoop是一个非常优秀的分布式编程框架,设计精 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
